> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Create UtilityMeterReport entity.

- Product: Utility meter reports
- Section: UtilityMeterReport
- Snapshot: Current
- Method: `POST`
- Path: `/api/utility_meter_reports/`

## Request body

Required: no  
Content types: `application/json`  

### `quantity`

Type: `string`  
Required: no  

### `type`

Type: `string`  
Required: no  
Allowed values: `e`, `w`, `g`  

### `datetime`

Type: `string`  
Required: no  

### `accommodationUnit`

Type: `object`  
Required: no  

#### `id`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.utilityMeterReports.create();
```

## Execute with curl

```bash
curl -X POST "https://app.recranet.com/api/utility_meter_reports/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '{}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "type": "type",
  "datetime": "2024-07-05T08:07:37Z",
  "quantity": "321.567",
  "manual": false
}
```

##### Schema

###### UtilityMeterReport

Type: `UtilityMeterReport`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `datetime`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `quantity`

Type: `string`  
Required: no  
Default: `0.000`  

###### `manual`

Type: `boolean`  
Required: no  
Default: `false`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/utility-meter-reports/methods/create/)
- [TypeScript Markdown](/utility-meter-reports/methods/create.md?lang=typescript)
- [curl Markdown](/utility-meter-reports/methods/create.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/utility-meter-reports/llms.txt)
- [snapshot llms.txt](/utility-meter-reports/llms.txt)
